# Interface module
We are going to use Vue with Typescript  and bootstrap to help us build our interface module. Interface module interacts with client module and agency module through Rest API OR Webassembly. Users register at first, after login through authentication, create project, assign authorization, then users can start their project.

- Register :: A1
- Login  :: B1
- Create project and authorization assignment :: C1
- Join into existed project :: C2
- Launch project :: D1
- Update onnx :: E1
- initialization of trusted ONNX :: F1
- ONNX pool configuration :: F2
- Run ONNX pool selection :: F3
- Expose Trusted ONNX for downloading :: F4
